	PAGE
	SBTTL "--- HARDWARE EQUATES: ACORN ---"

	;VDU

;ENABLE	EQU	2	;ENABLE PRINTER
;DISABL	EQU	3	;DISABLE PRINTER
BELL	EQU	7	;MAKE SHORT SOUND
;FRWRD	EQU	9	;FORWARDSPACE CURSOR ONE CHAR
CLSCR	EQU	12	;CLEAR TEXT AREA
MODE	EQU	22	;SELECT SCREEN MODE
CURSOR	EQU	23	;TURN CURSOR ON/OFF
HOME	EQU	30	;HOME TEXT CURSOR
MVTXC	EQU	31	;MOVE TEXT CURSOR TO X,Y
BACKSP	EQU	127	;($7F) BACKSPACE & DELETE
BLUE	EQU	134	;SET CHARS TO BLUE (USED FOR STATUS LINE)

	;OSBYTE CALLS

OUTSTR	EQU	3	;SET OUTPUT STREAM
TYPE	EQU	5	;SELECT PRINTER TYPE
			;(SEND TO PARALLEL OR RS423 SERIAL OUTPUT)
IGNORE	EQU	6	;SET PRINTER IGNORE CHAR
BAUD	EQU	8	;SET RS423 TRANSMIT BAUD RATE
RDCPOS	EQU	134	;READ TEXT CURSOR POSITION
RDCHAR	EQU	135	;READ CHAR @ CURSOR POSITION
TV	EQU	144	;ALTER TV DISPLAY INTERLACE
ESCASC	EQU	229	;SET ESC TO RET ASCII CODE INSTEAD OF DOING ITS THING


	;CONSTANTS

XSIZE	EQU	39	;X-SIZE (COLUMNS)OF SCREEN
YSIZE	EQU	25	;Y-SIZE (LINES) OF SCREEN

EOL	EQU	$0D	;END OF LINE (RET) CHAR
SPACE	EQU	$20	;SPACE CHAR

OFF	EQU	1	;TV INTERLACE
RDCMD	EQU	$53	;READ SECTOR
WTCMD	EQU	$4B	;WRITE SECTOR

LMAX	EQU	24	;MAX LINES ON SCREEN LESS STATUS LINE


	;OS CALLS

OSRDCH	EQU	$FFE0	;READ A CHAR FROM KEYBOARD (INPUT STREAM)
OSWRCH	EQU	$FFEE	;WRITE A CHAR TO SCREEN (INPUT STREAM)
OSWORD	EQU	$FFF1	;MISC. - USED TO WRITE TO DISK
OSBYTE	EQU	$FFF4	;MISC. INCLUDING VDU

VDU	EQU	OSWRCH	;VDU SENDS COMMANDS TO SCREEN


LBUFF	EQU	$0C00	;89-BYTE LINE BUFFER
SBUFF	EQU	$0C77	;40-BYTE SCROLL BUFFER
			;(HOLDS 1 SCREEN LINE FOR SCROLLING TRANSFER)

SCREEN	EQU	$7C00	;SCREEN RAM

	END
